package com.yeejoin.equip.mapper.tdengine;

import com.yeejoin.equip.entity.IndicatorData;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import java.util.List;

/**
 * @author CuiXi
 * @version 1.0
 * @Description:
 * @date 2021/3/11 14:30
 */
@Component
public interface IndicatorDataMapper {

    int insert(IndicatorData indicatorData);

    int insertBatch(@Param("list")List<IndicatorData> indicatorDataList, @Param("gatewayId")String gatewayId);

    void createDB();

    void createTable();
}
